From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/libva-utils/
Date: Fri, 12 Feb 2021 15:10:23 +0000 (UTC) [thread overview]
Message-ID: <1613142615.75bf9adfe7e2235e2785d8137fc2576ce33181ea.sam@gentoo> (raw)
commit: 75bf9adfe7e2235e2785d8137fc2576ce33181ea
Author: Karlson2k (Evgeny Grin) <k2k <AT> narod <DOT> ru>
AuthorDate: Wed Feb 3 17:34:49 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Feb 12 15:10:15 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75bf9adf
media-video/libva-utils-2.8.0: fixed testing in portage
Closes: https://bugs.gentoo.org/768486
Signed-off-by: Karlson2k (Evgeny Grin) <k2k <AT> narod.ru>
Closes: https://github.com/gentoo/gentoo/pull/19315
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-video/libva-utils/Manifest | 1 +
.../libva-utils/libva-utils-2.8.0-r2.ebuild | 61 ++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/media-video/libva-utils/Manifest b/media-video/libva-utils/Manifest
index 8e6d0783b5f..cfa659e52eb 100644
--- a/media-video/libva-utils/Manifest
+++ b/media-video/libva-utils/Manifest
@@ -1,4 +1,5 @@
DIST libva-utils-2.10.0.tar.gz 1203536 BLAKE2B c7b51e07618204c55e992f57dd2d80b289d2edd7b4f526c3afaaec1081f5497ac86614e097bc14a1e79d380ca2c529359d02cee601502e292ca8f89073d5fdbb SHA512 2d44c5e3f52ff4ce8bfb206af95c4d790b6d31ec21f899f0ec9604391359f55de06c63b446e19cd8f0ea0c36ccb4ac7cc5ae7fe68361eb263c01454682d18402
DIST libva-utils-2.4.0.tar.bz2 1030271 BLAKE2B b57947f9bd63f34b27a403484ae6b66e750f854dd87c8448afb3d361581d83b20a5ffd8d7e22c9dbf5fae6f7ff3fd62d70cc248b29a862066ff10928629e4d11 SHA512 c5c674179ed589968fd296a7e33dd57a3476c237d8e15258938b364051d501e156c22b41b98fe59d6bc36805495a934dee602ec9e9bb5350c72aa65d3d300ff6
DIST libva-utils-2.8.0.tar.bz2 1037112 BLAKE2B 9168d7d489e1574d970e9e3a270946de522a4063b80c4cafe38cc6917b99deb6394570592d3ed29a0ff7b92f819b9bbc9eb2a8f3b70077625a2714f70ee1959e SHA512 b3412349234ad2923953296674926ee7cb33c43ce17df8942f751789f0208064a4557ca16e1a5878a4e1b35e5bbbd415a9c9f182ffb24e589ac4757e990576b5
+DIST libva-utils-2.8.0.tar.gz 1198057 BLAKE2B 7c3332fcd2f4631cb2f77d0775e7f542b8ffbbb77aac0fb0629fb2474563320dbbefa546999fc7c991e8081e82a2c48b1406a34d2f075c80fca391088d779fcc SHA512 2102c5bc2b9b1caa99852892b2b7c1f5db7846283781cec84fe9683ac245ea366120096c1032a2c8b36a7c5fc8e4cd68e3939b0a2712a15f453c33560217585d
DIST libva-utils-2.9.1.tar.gz 1198337 BLAKE2B 58f5a6a537c68eed74aec5dc8f1c4b5a0431062d1d9803d8ccb1e5c3b534edf4f91288009d5940a0ddab49beeadae92bf361bec0bee8a3214f04f3c6767b0992 SHA512 39d79d4eed1fc0890fbf89d5689d4f01f704d3c71b4986e0eaf4c4a2f836cc36338d0a01630092a31b740588426398d0381eae1dc0302b0df94859d9161d8378
diff --git a/media-video/libva-utils/libva-utils-2.8.0-r2.ebuild b/media-video/libva-utils/libva-utils-2.8.0-r2.ebuild
new file mode 100644
index 00000000000..7803d68b489
--- /dev/null
+++ b/media-video/libva-utils/libva-utils-2.8.0-r2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Collection of utilities and tests for VA-API"
+HOMEPAGE="https://01.org/linuxmedia/vaapi"
+if [[ ${PV} = *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/intel/libva-utils"
+else
+ # Tarball with pre-built 'configure' not always available, portage use tarballs
+ # without pre-built 'configure' as they are always avaialbe upstream.
+ # SRC_URI="https://github.com/intel/libva-utils/releases/download/${PV}/${P}.tar.bz2"
+ SRC_URI="https://github.com/intel/libva-utils/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+drm test wayland X"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="|| ( drm wayland X )"
+
+BDEPEND="virtual/pkgconfig"
+
+if [[ ${PV} = *9999 ]] ; then
+ DEPEND="~x11-libs/libva-${PV}:=[drm?,wayland?,X?]"
+else
+ DEPEND=">=x11-libs/libva-$(ver_cut 1-2).0:=[drm?,wayland?,X?]"
+fi
+
+DEPEND+="
+ wayland? ( >=dev-libs/wayland-1.0.6 )
+ X? ( >=x11-libs/libX11-1.6.2 )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-2.10.0_test_in_sandbox.patch" )
+
+# CONTRIBUTING.md and README.md are avaialbe only in .tar.gz tarballs and in git
+DOCS=( NEWS CONTRIBUTING.md README.md )
+
+src_prepare() {
+ default
+ sed -e 's/-Werror//' -i test/Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable drm)
+ $(use_enable test tests)
+ $(use_enable wayland)
+ $(use_enable X x11)
+ )
+ econf "${myeconfargs[@]}"
+}
next reply other threads:[~2021-02-12 15:10 UTC|newest]
Thread overview: 99+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-02-12 15:10 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-21 22:41 [gentoo-commits] repo/gentoo:master commit in: media-video/libva-utils/ Matt Turner
2024-09-13 4:13 Sam James
2024-09-05 0:06 Sam James
2024-09-01 10:37 Jakov Smolić
2024-09-01 2:51 Sam James
2024-07-19 17:15 Matt Turner
2024-07-11 15:41 Matt Turner
2024-04-29 17:29 Sam James
2024-04-29 17:29 Sam James
2024-04-29 17:29 Sam James
2024-04-29 17:29 Sam James
2024-03-27 15:55 Matt Turner
2024-02-17 14:48 Sam James
2024-02-14 0:27 Sam James
2024-02-14 0:27 Sam James
2024-02-14 0:27 Sam James
2024-01-04 12:36 WANG Xuerui
2024-01-04 12:36 WANG Xuerui
2023-12-20 20:23 Matt Turner
2023-11-25 17:07 Matt Turner
2023-11-04 10:19 Sam James
2023-11-04 10:19 Sam James
2023-11-04 10:19 Sam James
2023-11-04 10:19 Sam James
2023-10-09 16:18 Matt Turner
2023-08-01 16:14 Sam James
2023-07-15 16:01 Matt Turner
2023-05-22 14:07 Matt Turner
2023-05-14 13:25 Matt Turner
2023-05-12 22:27 Sam James
2023-05-12 22:27 Sam James
2023-05-12 22:27 Sam James
2023-05-12 22:27 Sam James
2023-04-21 14:12 Matt Turner
2023-03-29 21:51 Matt Turner
2023-03-29 21:51 Matt Turner
2023-03-17 11:35 Arthur Zamarin
2023-03-17 6:40 Arthur Zamarin
2023-03-17 3:45 Sam James
2023-03-17 3:45 Sam James
2023-02-02 22:12 Matt Turner
2022-11-12 15:01 Arthur Zamarin
2022-11-11 4:25 Sam James
2022-11-11 3:50 Sam James
2022-10-19 0:27 Georgy Yakovlev
2022-10-16 3:02 Matt Turner
2022-10-10 4:22 Matt Turner
2022-09-09 7:36 Agostino Sarubbo
2022-09-08 18:40 Jakov Smolić
2022-09-08 18:40 Jakov Smolić
2022-07-04 2:41 Matt Turner
2022-07-04 2:41 Matt Turner
2022-05-09 10:25 Jakov Smolić
2022-05-09 9:58 Jakov Smolić
2022-05-09 8:01 Jakov Smolić
2022-05-09 8:01 Jakov Smolić
2022-03-17 4:28 Matt Turner
2022-03-17 4:28 Matt Turner
2021-12-29 17:27 Matt Turner
2021-12-17 21:56 Georgy Yakovlev
2021-11-26 6:34 Sam James
2021-11-25 20:07 Sam James
2021-11-25 20:07 Sam James
2021-10-20 1:14 Sam James
2021-10-20 1:14 Sam James
2021-08-27 5:12 Agostino Sarubbo
2021-08-27 5:10 Agostino Sarubbo
2021-08-26 22:52 Sam James
2021-06-29 4:40 Sam James
2021-05-16 18:33 Georgy Yakovlev
2021-01-14 20:11 Sam James
2021-01-11 18:55 Sam James
2021-01-04 16:59 Sam James
2021-01-04 16:59 Sam James
2020-12-04 14:24 Mikle Kolyada
2020-10-23 10:51 Alexis Ballier
2020-07-13 7:36 Lars Wendler
2020-01-22 5:41 Georgy Yakovlev
2020-01-22 5:41 Georgy Yakovlev
2019-09-13 17:19 Matt Turner
2019-08-13 10:53 Agostino Sarubbo
2019-08-13 9:17 Agostino Sarubbo
2019-08-13 0:36 Aaron Bauman
2019-02-21 16:06 Andreas Sturmlechner
2019-02-21 16:06 Andreas Sturmlechner
2019-02-21 16:06 Andreas Sturmlechner
2018-07-17 7:20 Alexis Ballier
2018-02-26 5:49 Mart Raudsepp
2018-02-15 5:52 Alexis Ballier
2018-02-15 5:52 Alexis Ballier
2018-02-15 5:52 Alexis Ballier
2017-12-18 22:39 Craig Andrews
2017-12-16 5:42 Craig Andrews
2017-06-29 20:28 Alexis Ballier
2017-06-23 5:58 Alexis Ballier
2017-05-24 11:08 Alexis Ballier
2017-04-11 4:42 Alexis Ballier
2017-04-03 7:38 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1613142615.75bf9adfe7e2235e2785d8137fc2576ce33181ea.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox